import request from '@/utils/request'

// 查询设备指令关系列表
export function listRelation(query) {
  return request({
    url: '/control/relation/list',
    method: 'get',
    params: query
  })
}

// 查询设备指令关系详细
export function getRelation(id) {
  return request({
    url: '/control/relation/' + id,
    method: 'get'
  })
}

// 新增设备指令关系
export function addRelation(data) {
  return request({
    url: '/control/relation',
    method: 'post',
    data: data
  })
}

// 修改设备指令关系
export function updateRelation(data) {
  return request({
    url: '/control/relation',
    method: 'put',
    data: data
  })
}

// 删除设备指令关系
export function delRelation(id) {
  return request({
    url: '/control/relation/' + id,
    method: 'delete'
  })
}

// 导出设备指令关系
export function exportRelation(query) {
  return request({
    url: '/control/relation/export',
    method: 'get',
    params: query
  })
}